
From: Anton Blanchard <anton@samba.org>

Fix up a few places where we marked __initdata as being const.



 25-akpm/scripts/pnmtologo.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

diff -puN scripts/pnmtologo.c~remove-const-initdata scripts/pnmtologo.c
--- 25/scripts/pnmtologo.c~remove-const-initdata	Mon Jul 28 12:15:00 2003
+++ 25-akpm/scripts/pnmtologo.c	Mon Jul 28 12:15:00 2003
@@ -236,14 +236,14 @@ static void write_header(void)
     fprintf(out, " *  Linux logo %s\n", logoname);
     fputs(" */\n\n", out);
     fputs("#include <linux/linux_logo.h>\n\n", out);
-    fprintf(out, "static const unsigned char %s_data[] __initdata = {\n",
+    fprintf(out, "static unsigned char %s_data[] __initdata = {\n",
 	    logoname);
 }
 
 static void write_footer(void)
 {
     fputs("\n};\n\n", out);
-    fprintf(out, "const struct linux_logo %s __initdata = {\n", logoname);
+    fprintf(out, "struct linux_logo %s __initdata = {\n", logoname);
     fprintf(out, "    .type\t= %s,\n", logo_types[logo_type]);
     fprintf(out, "    .width\t= %d,\n", logo_width);
     fprintf(out, "    .height\t= %d,\n", logo_height);
@@ -373,7 +373,7 @@ static void write_logo_clut224(void)
     fputs("\n};\n\n", out);
 
     /* write logo clut */
-    fprintf(out, "static const unsigned char %s_clut[] __initdata = {\n",
+    fprintf(out, "static unsigned char %s_clut[] __initdata = {\n",
 	    logoname);
     write_hex_cnt = 0;
     for (i = 0; i < logo_clutsize; i++) {

_
